Download it now!
Bug 51043 - File type descriptions are named in language defined in regional settings instead of OS language.
Summary: File type descriptions are named in language defined in regional settings ins...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: x86-64 (AMD64) Windows (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-13 09:36 UTC by libreoffice
Modified: 2016-08-23 14:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
regedit screehshot with file type description in Russian language instead of English (65.93 KB, image/png)
2012-06-13 09:36 UTC, libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description libreoffice 2012-06-13 09:36:40 UTC
Created attachment 62975 [details]
regedit screehshot with file type description in Russian language instead of English

File type descriptions are named in language defined in regional settings instead of OS language.

Steps to reproduce:
1. Install Windows 7 English with Russian regional settings.
2. Install LibO_3.5.4_Win_x86_install_multi.msi with only English UI.
3. Check the file type descriptions in HKLM\Software\Classes:
They will be named in Russian not in English.

Expected behavior:
1. There should be an option for choosing language during installation.
2. OS interface language should be suggested by default, not the one specified in regional settings.

Platform:
Windows 7.
Comment 1 Buovjaga 2014-11-06 11:28:26 UTC
I confirm this, but I have no opinion, so I'm setting this to UNCONFIRMED.
Comment 2 Urmas 2014-11-06 11:38:17 UTC
Administrator can perform installation in any language, so file type descriptions can be in any language desired.
Comment 3 tommy27 2014-12-16 19:51:55 UTC
@Urman
so this has to be closed or not?
Comment 4 Robinson Tryon (qubit) 2014-12-29 05:23:32 UTC
Sounds like a question for UX to handle.

status -> NEW
Comment 5 Heiko Tietze 2016-08-23 14:52:05 UTC
My regedit has no opendocument entry under HKLM\Software\Classes. And no localized entry. There were heavy changes for 4.x that may have fixed the issue. Closing as WFM.

If this issue still exists it would be a valid bug in my opinion, especially for the admin scenario. The configuration must not contain localized text.
Comment 6 Heiko Tietze 2016-08-23 14:53:30 UTC
(In reply to Heiko Tietze from comment #5)
> My regedit ...

Forgot to add the version:

Version: 5.2.0.4
Build ID: 066b007f5ebcc236395c7d282ba488bca6720265
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: de-DE (de_DE)